SKYRIM
Ethereal Elven Overhaul Sky-re Compability patch Requires Dawnguard and Dragonborn by Syq111
Skyrim » Patches
Added: 31/12/2012 - 10:29AM
Updated: 22/10/2014 - 07:29AM

1,263 Endorsements

8 Latest version

19,406 Unique D/Ls

29,952 Total D/Ls

83,314 Total Views

Uploaded by Syq111

Description

Last updated at 7:29, 22 Oct 2014 Uploaded at 10:29, 31 Dec 2012

This patch provide EEO visual changes and Sky-Re racial powers etc
**********************************************************************
MUST HAVE THESES:
-U must have a latest version of Skyrim Redone(racial module is required,encounter zones is optional if someone use him)
-U must have a latest version of Ethereal Elven Overhaul
-And DLC Dawnguard
-LOOT for sorting
**********************************************************************
**********************************************************************
THIS IS THE MAIN DOWNLOAD FOR THOSE WHO HAVE DRAGONBORN:
-For Sky-Re v1 requires Dragonborn Dlc
**********************************************************************
**********************************************************************

Credits for zod2242, for better description of my mod.I'm bad descriptor.My actions better speaks.Thx very much zod2242
And thx all for endorsing and testing this mods so he can be fully functional without bugs and some other thing.
Thx for pa2k,he highlight issue with Enemy Scalling.esp so now SkyRe should be fully compatible